SDL_SetRenderDrawColorFloat(3)

NAME
SDL_SetRenderDrawColorFloat - Set the color used for drawing operations (Rect, Line and Clear).

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetRenderDrawColorFloat(SDL_Renderer *renderer, float r, float g, float b, float a);

DESCRIPTION
Set the color for drawing or filling rectangles, lines, and points, and for SDL_RenderClear ().

FUNCTION PARAMETERS

renderer
    the rendering context

r   the red value used to draw on the rendering target

g   the green value used to draw on the rendering target

b   the blue value used to draw on the rendering target

a   the alpha value used to draw on the rendering target. Use SDL_SetRenderDrawBlendMode
     to specify how the alpha channel is used

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRenderDrawColorFloat(3), SDL_SetRenderDrawColor(3)